import { ModalBaseComponent } from './modal.base.component';
import * as i0 from "@angular/core";
export declare class ModalService {
    modals: {
        [id: string]: ModalBaseComponent;
    };
    add(modal: ModalBaseComponent): void;
    remove(id: string): void;
    open(id: string): void;
    close(id: string, { emitEvent }?: {
        emitEvent?: boolean;
    }): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ModalService>;
}
